<!--
Copyright (C) 2018 Freetech Solutions

This file is part of OMniLeads

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see http://www.gnu.org/licenses/.

-->
{% load staticfiles %}
{% load compress %}
{% load i18n %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <!-- Stylesheets -->
    <link rel="stylesheet" href="{% static 'bootstrap-4.0.0/css/bootstrap.min.css' %}">
    <link rel="stylesheet" href="{% static 'ominicontacto/CSS/daterangepicker.css' %}">
    <!-- Custom CSS -->
    <link rel="stylesheet" href="{% static 'ominicontacto/CSS/main.css' %}">
    <!-- Fonts -->
    <link rel="stylesheet" href="{% static 'ominicontacto/CSS/google-font.css' %}">
    <link rel="stylesheet" href="{% static 'ominicontacto/CSS/fa-solid.css' %}">
    <link rel="stylesheet" href="{% static 'ominicontacto/CSS/fa-regular.css' %}">
    <link rel="stylesheet" href="{% static 'ominicontacto/CSS/fontawesome.css' %}">
    <link rel="stylesheet" href="{% static 'ominicontacto/CSS/oml-icons.css' %}">
    <!-- Scripts -->
    <script type="text/javascript" src="{% url 'javascript-catalog' %}"></script>
    {% compress js %}
    <script src="{% static 'jquery-2.2.4.min.js' %}"></script>
    <script src="{% static 'bootstrap-4.0.0/js/bootstrap.bundle.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'ominicontacto/JS/moment.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'ominicontacto/JS/daterangepicker.js' %}"></script>
    <script type="text/javascript" src="{% static 'ominicontacto/JS/ranges-datepicker.js' %}"></script>
    <script type="text/javascript" src="{% static 'ominicontacto/JS/config_datetimepicker.js' %}"></script>
    <script type="text/javascript" src="{% static 'ominicontacto/JS/agente/make_click2call.js' %}"></script>
    {% endcompress %}
</head>
<body>

<div id="wrapper-search">
    <button id="btnCollapse" class="btn btn-block" type="button" data-toggle="collapse" data-target="#wrapperSearchForm" aria-expanded="true" aria-controls="wrapperSearchForm"><span class="icon icon-search"></span> {% trans 'Buscar' %}</button>
    <div id="wrapperSearchForm" class="show">
        <form role="form" method="post" enctype="multipart/form-data" >
            {% csrf_token %}
            <div class="form-row">
                <div class="col-md-6">
                    {{form.fecha}}
                </div>
            </div>
            <button type="submit" id="id_buscar_btn" class="btn btn-primary">
                {% trans 'Filtrar por este rango' %}
            </button>
        </form>
    </div>
</div>

<table class="table">
    <thead>
        <tr>
            <th>{% trans 'Contacto' %}</th>
            <th>{% trans 'Fecha' %}</th>
            <th>{% trans 'Hora' %}</th>
            <th>{% trans 'Tipo' %}</th>
            <th>{% trans 'Observaciones' %}</th>
        </tr>
    </thead>
    <tbody>
    {% for agenda in listado_de_eventos %}
        <tr>
            <td>
                <a class="btn btn-submit btn-outline-primary" href="javascript:;"
                   onclick="makeClick2Call('{{ agenda.campana.pk }}', '{{ agenda.campana.type }}', '{{agenda.contacto.pk}}', '{{ agenda.contacto.telefono }}', 'agendas');"
                   name="click2call">
                   {{ agenda.contacto.telefono }}
                </a>
            </td>
            <td>{{ agenda.fecha }}</td>
            <td>{{ agenda.hora}}</td>
            <td>{{ agenda.get_tipo_agenda_display }}</td>
            <td>{{ agenda.observaciones }}</td>
        </tr>
   {% empty %}
    <tr>
        <td colspan="5">{% trans 'No existen eventos agendados para el día de hoy' %}</td>
    </tr>
    {% endfor %}
    </tbody>
</table>

</body>
</html>
